'use strict';

// base paths
var src   = 'app/',
    dist  = 'build/',
    dev   = 'dev/',
    prod  = 'prod/',
    logo  = 'logo.png'

// task paths

module.exports = {

  to: {

    src: src,

    // destination folders
    dist: {
      dev: dist + dev,
      prod: dist + prod,
      main: dist
    },

    // json files
    json: {
      data: src + 'data.json'
    },

    // nunjucks files
    nunjucks: {
      config: src + 'templates/',
      src: src + 'templates/*.{html,nunjucks}',
      watch: src + 'templates/**/*.{html,nunjucks}'
    },

    // sass files
    scss: {
      src: src + 'scss/**/*.{scss,sass}',
      main: src + 'scss',

      dist: {
        dev: dist + dev + 'css',
        prod: dist + prod + 'css'
      }
    },

    // js files
    js: {
      watch: src + 'js/**/*.js',
      src: {
        main: src + 'js/main.js',
        copy: src + 'js/**/*.js'
      },

      dist: {
        dev: dist + dev + 'js',
        prod: dist + prod + 'js'
      }
    },

    // bower
    bower: {
      components: src + 'bower_components'
    },

    // images
    images: {
      src: src + 'images/**/*',
      logo: src + 'images/' + logo, // change it depend on logo name
      icons: src + 'images/icons/*.svg',
      dist: {
        favicons: dist + dev + 'images/favicons',
        dev: dist + dev + 'images',
        prod: dist + prod + 'images'
      }
    },

    // fonts
    fonts: {
      src: src + 'fonts/**/*',
      dist: {
        dev: dist + dev + 'fonts',
        prod: dist + prod + 'fonts'
      }
    }

  }
}