// gulp/tasks/build/css.js
'use strict';

// ----------------------------------
// available tasks: 
//    'gulp build:css'  : minify css
// ----------------------------------
// plugins:
//     gulp-plumber     : $.plumber
//     gulp-uncss       : $.uncss
//     gulp-cssnano     : $.cssnano
// ----------------------------------
// config:
//     config.task.build : task name
// ----------------------------------

module.exports = function(gulp, $, path, config) {

    // start css task
    gulp.task(config.task.build + ':css', 'build css files', function() {

        return gulp.src(path.to.scss.dist.prod + '/*.min.css')
            // prevent breaking errors
            .pipe($.plumber({
                errorHandler: config.error
            }))
            // remove unused css selectors
            .pipe($.uncss(
                config.css.uncssOptions // options
            ))
            // optimize and minify css
            .pipe($.cssnano(
                config.css.cssnanoOptions // options
            ))
            .pipe(gulp.dest(path.to.scss.dist.prod));

    });

};