// gulp/tasks/build/scripts.js
'use strict';

// ----------------------------------
// available tasks: 
//      'gulp build:js'   : minify js
// ----------------------------------
// plugins: 
//      gulp-plumber      : $.plumber
//      gulp-uglify       : $.uglify
// config:
//      config.task.build : task name
// ----------------------------------

module.exports = function(gulp, $, path, config) {

    // copy js files task
    gulp.task(config.task.build + ':js', 'concatenate and build js file', function() {

        return gulp.src(path.to.js.dist.prod + '/*.min.js')
          // prevent breaking errors
          .pipe($.plumber({
            errorHandler: config.error
          }))
          .pipe($.uglify())
          .pipe(gulp.dest(path.to.js.dist.prod))

    });

};