// gulp/tasks/default/scripts.js
'use strict';

// ----------------------------------
// available tasks: 
//    'gulp js'            : main js task
//    'gulp js:browserify' : browserify task
//    'gulp js:copySrc'    : copy source js files
// ----------------------------------
// plugins:
//     webpack-stream       : $.webpackStream
//     browser-sync         : $.browserSync
//     gulp-sourcemaps      : $.sourcemaps
//     gulp-uglify          : $.uglify
// ----------------------------------
// config:
//     config.task.scripts : task name
// ----------------------------------

module.exports = function(gulp, $, path, config) {

    
    gulp.task(config.task.scripts + ':webpack', 'webpack js files', function() {
        return gulp.src(path.to.js.src.main)
            .pipe($.sourcemaps.init({
                loadMaps: true
            }))
            .pipe($.webpackStream())
            .pipe($.sourcemaps.write('.'))
            .pipe(gulp.dest(path.to.js.dist.dev))
            .pipe($.browserSync.reload({
                stream: true
            }));
    });

    // main js task
    gulp.task(config.task.scripts, 'main js task', function(cb) {

        $.runSequence(
            config.task.scripts + ':webpack'
            cb
        )

    });

};